#
# spec file for package et131x (Version 1.2.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           et131x
BuildRequires:  kernel-source kernel-syms
Summary:        Kernelmodule for Agere ET131x network cards
Version:        1.2.2
Release:        3
Group:          System/Kernel
License:        BSD, Other License(s), see package
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.agere.com
Autoreqprov:    on
Source:         %{name}-%{version}.tar.bz2
Patch:          new_ver_x86_3-10-06.patch	
Patch1:         fix-patch_et131x_x86_3-10-06.diff
Patch2:         fix-get_mac_address_from_EEPROM.diff
Patch3:         MODULE_PARM.diff
ExclusiveArch: %ix86 x86_64
%suse_kernel_module_package um 
%debug_package
%package -n et131x-KMP
Group:          System/Kernel
License:        BSD, Other License(s), see package
Summary:        Kernelmodule for Agere ET131x network cards

%description 
Linux kernel module for ET131x network cards from Agere Systems



Authors:
--------
    Agere Systems Inc.


%description -n et131x-KMP
Linux kernel module for ET131x network cards from Agere Systems



Authors:
--------
    Agere Systems Inc.

%prep
%setup -n %{name}-%{version} 
%patch0 -p1
%patch1 
%patch2 -p0 
%patch3 -p1 

%build
cd ..
mkdir -p obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r %{name}-%{version} obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/obj/$flavor
done

%install
cd ..
# install kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
   make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
       M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n et131x
* Fri Apr 07 2006 - dkukawka@suse.de
- fixed module_param() param from int to uint
* Fri Apr 07 2006 - dkukawka@suse.de
- initial package (see bugs #163898 and #154083)
- added patches:
- fix-patch_et131x_x86_3-10-06.diff: removed from comment out
- fix-get_mac_address_from_EEPROM.diff: workaround to avoid
  generating random mac address and get the mac from EEPROM,
  removed DOS line break
- MODULE_PARM.diff: fix from agruen@suse.de (replace MODULE_PARM
  with module_param; include additional fix: replaced usage of
  long with int in et131x_main.c.
